
/* ************************************************************************* */
/*
 *	sha2.h
 *
 *	(C) 2010 VOCAL Technologies, Ltd.
 *
 *	This software is intended for use as a reference/standard implementation,
 *	and has been placed into the public domain by the copyright holder:
 *
 *	VOCAL Technologies, Ltd.
 *	90A John Muir Drive.
 *	Buffalo, NY  14228
 *
 *	Maintainer:  Dennis Towne
 */
/* ************************************************************************* */


enum {
	SHA256dlen =	256/8,
	SHA256bsize =	512/8
};

struct SHA256state {
	uint64	nb;
	uint32	h[8];
	uchar	buf[SHA256bsize];
	uint64	nbuf;
};

typedef struct SHA256state SHA256state;

void sha256init(SHA256state *st);
void sha256(SHA256state *st, uchar *buf, unsigned int n);
void sha256finish(SHA256state *st, uchar *buf);

